<?php
load_theme_textdomain( 'petroleum', get_template_directory().'/languages' );
/**
 *----------------- include ------------------------------------------
 */


include_once( get_template_directory() .  '/inc/tools.php' );
include_once( get_template_directory() .  '/inc/plugins/plugins.php' );
include_once( get_template_directory() .  '/inc/panel.php' );
include_once( get_template_directory() .  '/inc/walker/wd_walker.php');



/**
 *--------------------------------------------------------------------
 */
/**
 * Sets up the content width value based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) )
  $content_width = 900;

/* Add post formats */

if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
	add_theme_support('post-formats', array('gallery', 'link', 'quote', 'video', 'audio'));
	add_theme_support('automatic-feed-links');
	add_theme_support('custom-background');
	add_theme_support( 'title-tag' );
	add_theme_support( 'html5', array( 'search-form' ) );
	add_theme_support('woocommerce');
	add_theme_support('wc-product-gallery-zoom');
	add_theme_support('wc-product-gallery-lightbox');
	add_theme_support('wc-product-gallery-slider');
	add_theme_support( 'editor-styles' );
	add_editor_style( 'editor.css' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'editor-color-palette', array(
		array(
			'name'  => esc_html__( 'Primary Color', 'petroleum' ),
			'slug'  => 'primary',
			'color'	=> '#FFD200',
		),
		array(
			'name'  => esc_html__( 'Secondary Color ', 'petroleum' ),
			'slug'  => 'secondary',
			'color' => '#484939',
		),
	) );
	add_theme_support( 'editor-font-sizes', array(
		array(
			'name'      => esc_html__( 'small', 'petroleum' ),
			'shortName' => esc_html__( 'S', 'petroleum' ),
			'size'      => 14,
			'slug'      => 'small'
		),
		array(
			'name'      => esc_html__( 'regular', 'petroleum' ),
			'shortName' => esc_html__( 'M', 'petroleum' ),
			'size'      => 16,
			'slug'      => 'regular'
		),
		array(
			'name'      => esc_html__( 'large', 'petroleum' ),
			'shortName' => esc_html__( 'L', 'petroleum' ),
			'size'      => 18,
			'slug'      => 'large'
		),
	) );
}




/**
 *--------------- Image presets-----------
 */

 add_image_size( 'petroleum_blog-thumb',            840, 424, true );
 add_image_size( 'petroleum_blog',            368, 193, true );
 add_image_size( 'petroleum_portfolio',      380, 254, true );
 add_image_size( 'petroleum_portfolio_760x500',  760, 500, true );
 add_image_size( 'petroleum_testimonial',      250, 250, true );
 add_image_size( 'petroleum_team',      270, 322, true );

 

/**
 *-----------------add sidebar------------------------------------------
 */

function petroleum_widgets_init() {
	//-sidebar------------------
	register_sidebar(array(
		'name' => esc_html__('Sidebar','petroleum'),
		'id' => 'sidebar',
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget' => '</section>', 
		'before_title' => '<h2 class="block-title">', 
		'after_title' => '</h2>', 
	));
	//-footer first column------------------
	register_sidebar(array(
		'name' => esc_html__('Footer 1','petroleum'),
		'id' => 'footer-1',
		'before_widget' => '<li>',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="block-title">',
		'after_title' => '</h2>',
			));
	//-footer 2 column------------------		
	register_sidebar(array(
		'name' => esc_html__('Footer 2','petroleum'),
		'id' => 'footer-2',
		'before_widget' => '<li>',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="block-title">',
		'after_title' => '</h2>',
	));
	//-footer 3 th column------------------
	register_sidebar(array(
		'name' => esc_html__('Footer 3','petroleum'),
		'id' => 'footer-3',
		'before_widget' => '<li>',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="block-title">',
		'after_title' => '</h2>',
	));
	//-sidebar wooocomerce------------------
	register_sidebar(array('name' => esc_html__( 'Woocommerce Sidebar','petroleum' ), 
		'id' => 'shop-widgets',
	  'description' => esc_html__( 'Appears on the shop page of your website.', 'petroleum' ),
	  'before_widget' => '<div id="%1$s" class="widget %2$s shop-widgets">',
	  'after_widget' => '</div>',
	  'before_title' => '<h4 class="widget-title">',
	  'after_title' => '</h4>',
  ));
}
add_action( 'widgets_init', 'petroleum_widgets_init' ); 


//____________navigation____________

register_nav_menus( array(  
  'primary' => esc_html__( 'Primary Navigation', 'petroleum' ),
) );
function petroleum_main_menu_fallback() {
 echo '<div class="empty-menu">';
 echo __( 'Please assign a menu to the primary menu location under ', 'petroleum' ); ?>
  <a href="<?php echo get_admin_url( get_current_blog_id(), 'nav-menus.php' ) ?>">Menus Settings</a>
 </div> <?php
}
function petroleum_footer_menu_fallback() {
  echo '<div class="empty-menu">';
  echo __( 'Please assign a menu to the footer menu location under ', 'petroleum' ); ?>
  <a href="<?php echo get_admin_url( get_current_blog_id(), 'nav-menus.php' ) ?>"><?php echo __( 'Menus Settings', 'petroleum' ); ?></a>
 </div> <?php
}
function petroleum_register_petroleum_menu() {
register_nav_menu('footer',esc_html__( 'Footer', 'petroleum'));
}
add_action( 'init', 'petroleum_register_petroleum_menu' );
//--------load css and js----------------------------
function petroleum_fonts_url($font_body_name, $petroleum_font_weight_style, $petroleum_main_text_font_subsets) {
	$font_url = '';

	/*
	Translators: If there are characters in your language that are not supported
	by chosen font(s), translate this to 'off'. Do not translate into your own language.
	 */
	if ( 'off' !== _x( 'on', 'Google font: on or off', 'petroleum' ) ) {
		$font_url = add_query_arg( 'family', urlencode( $font_body_name . ':' . $petroleum_font_weight_style . '&subset=' . $petroleum_main_text_font_subsets ), "//fonts.googleapis.com/css" );
	}
	return $font_url;
}

function petroleum_load_js_css_file() {
	
	
	$font_body_name =petroleum_get_option('wd_body_font_familly','Open Sans');
  $petroleum_font_weight_style = petroleum_get_option('wd_font-weight-style_list', '400');
  $petroleum_main_text_font_subsets = petroleum_get_option('wd_main-text-font-subsets', 'latin');

  $font_header_name = petroleum_get_option('wd_head_font_familly','Montserrat');
  $petroleum_heading_font_weight_style = petroleum_get_option('wd_heading-font-weight-style-list', '400');
  $petroleum_heading_text_font_subsets = petroleum_get_option('wd_heading-text-font-subsets', 'latin');

  $petroleum_navigation_font_familly = petroleum_get_option('wd_navigation_font_familly','Montserrat');
  $petroleum_navigation_font_weight_style = petroleum_get_option('wd_navigation-font-weight-style-list', '400');
  $petroleum_navigation_text_font_subsets = petroleum_get_option('wd_navigation-text-font-subsets', 'latin');

	$petroleum_protocol = is_ssl() ? 'https' : 'http';
	// Enqueue body font
  if($font_body_name != "default"){
	  wp_enqueue_style( 'wd-fonts-body', petroleum_fonts_url($font_body_name, $petroleum_font_weight_style, $petroleum_main_text_font_subsets), array(), '1.0.0' );
  }else{
	  wp_enqueue_style('wd-fonts-body',petroleum_fonts_url('Open+Sans','400,300,700','latin,latin-ext'), array(), '1.0.0' );
  }
	// Enqueue headers font
  if($font_header_name != "default"){
	 wp_enqueue_style( 'wd-fonts-header', petroleum_fonts_url($font_header_name, $petroleum_heading_font_weight_style, $petroleum_main_text_font_subsets), array(), '1.0.0' );
  }
	// Enqueue navigation font
  if($petroleum_navigation_font_familly != "default"){
   wp_enqueue_style( 'wd-fonts-navigation', petroleum_fonts_url($petroleum_navigation_font_familly, $petroleum_navigation_font_weight_style, $petroleum_navigation_text_font_subsets), array(), '1.0.0' );
  }
	
	//________________________css______________________________
	wp_enqueue_style( 'Owl-carousel',  get_template_directory_uri() . "/stylesheets/owl.carousel.css" );
	wp_enqueue_style( 'Owl-carousel-theme',  get_template_directory_uri() . "/stylesheets/owl.theme.css" );
	wp_enqueue_style( 'Owl-carousel-animation',  get_template_directory_uri() . "/stylesheets/animate.css" );
	wp_enqueue_style( 'swiper',  get_template_directory_uri() . "/stylesheets/swiper.min.css" );
	wp_enqueue_style( 'font-awesome',  get_template_directory_uri() . "/stylesheets/font-awesome/font-awesome.min.css" );
	wp_enqueue_style( 'petroleum_style',  get_template_directory_uri() . "/stylesheets/app.css" );
	wp_enqueue_style('woocommerce',        get_template_directory_uri() . "/stylesheets/woocommerce.css");
	
	//________________________js______________________________
	$petroleum_map_key = petroleum_get_option('petroleum_map_key');
	if($petroleum_map_key){
		wp_enqueue_script('googlemaps', $petroleum_protocol."://maps.googleapis.com/maps/api/js?key=".esc_attr($petroleum_map_key), array('jquery'));
	}

	wp_enqueue_script('foundation',            get_template_directory_uri() . '/js/vendor/foundation.js',array( 'jquery' ));
	wp_enqueue_script('owl-carousel',            get_template_directory_uri() . '/js/vendor/owl.carousel.min.js',array( 'jquery' ));
	wp_enqueue_script('isotope',            get_template_directory_uri() . '/js/vendor/isotope.js',array( 'jquery' ));
	wp_enqueue_script('modernizr',            get_template_directory_uri() . '/js/vendor/modernizr.js',array( 'jquery' ));
	wp_enqueue_script('parallax',            get_template_directory_uri() . '/js/vendor/parallax.js',array( 'jquery' ));
	wp_enqueue_script('localscroll',            get_template_directory_uri() . '/js/vendor/localscroll.js',array( 'jquery' ));
	wp_enqueue_script('appear',            get_template_directory_uri() . '/js/vendor/appear.js',array( 'jquery' ));
	wp_enqueue_script('smoothscroll',            get_template_directory_uri() . '/js/vendor/smoothscroll.min.js',array( 'jquery' ));
	wp_enqueue_script('classie',            get_template_directory_uri() . '/js/vendor/classie.min.js',array( 'jquery' ));
	wp_enqueue_script('ismobile',            get_template_directory_uri() . '/js/vendor/ismobile.js',array( 'jquery' ));
	wp_enqueue_script('counterup',            get_template_directory_uri() . '/js/vendor/counterup.js',array( 'jquery' ));
	wp_enqueue_script('swiper',            get_template_directory_uri() . '/js/vendor/swiper.min.js',array( 'jquery' ));
	wp_enqueue_script('waypoints',            get_template_directory_uri() . '/js/vendor/waypoints.js',array( 'jquery' ));
	wp_enqueue_script('petroleum_scripts',            get_template_directory_uri() . '/js/scripts.js',array( 'jquery' ));
	wp_enqueue_script('shortcodes-js',     get_template_directory_uri() . "/js/shortcode/script-shortcodes.js", array( 'jquery' ) );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' ); 
    }	
	//________________________inline style______________________________
	wp_enqueue_style('custom-style',       get_template_directory_uri() . '/style.css');
	
	$petroleum_custom_css = "";
	$petroleum_custom_css .= "";
	//______________ background header pages ______________________________
	global $wp_query;
	define ('WD_PAGE_ID' , 0 );
	if ( is_object( $wp_query ) && is_object( $wp_query->post ) && isset( $wp_query->post->ID ) ) {
		$GLOBALS['petroleum_PageID'] = $wp_query->post->ID;
	} else {
		$GLOBALS['petroleum_PageID'] = '';
	}
	$petroleum_page_bg_img = get_post_meta( $GLOBALS['petroleum_PageID'], 'wd_page_title_area_bg_img', true );
	if ( $petroleum_page_bg_img != '' ) {
		$petroleum_custom_css .= "
			.wd-title-bar {
				background:url(" . $petroleum_page_bg_img . ") no-repeat #6DD676;
				background-size: cover;
				background-position: center;
			}
		";
	}
	$petroleum_page_title_color = get_post_meta( $GLOBALS['petroleum_PageID'], 'petroleum_page_title_color', true );
	if ( $petroleum_page_title_color != '' ) {
		$petroleum_custom_css .= "
			.wd-title-bar div h2,
			.wd-title-bar div h5 {
				color: " . $petroleum_page_title_color . ";
			}
		";
	}
	//______________ background title bar blog pages ______________________________

	$petroleum_blog_background_path = petroleum_get_option( 'wd_blog_background_path','');
	if (petroleum_is_blog()) {
		if ($petroleum_blog_background_path != '') {
			$petroleum_custom_css .= "
			.wd-title-bar {
				background:url(" . $petroleum_blog_background_path . ") no-repeat #6DD676;
				background-size:cover;
			}
		";
		}
	}
	//______________ background header single pages ______________________________
	
	$petroleum_single_post_bg_img = petroleum_get_option( 'wd_bg_single_post_path','');
	if($petroleum_single_post_bg_img != ''){
		$petroleum_custom_css .= "
			.single-post .wd-title-bar {
				background:url(".$petroleum_single_post_bg_img .") no-repeat #6DD676;
				background-size:cover;
			}
		";
	}

	//______________ Typography  ______________________________
	if((petroleum_get_option('wd_body_font_familly','Open Sans')!='default') && (petroleum_get_option('wd_body_font_familly' ,'Open Sans')!= false)){
		$petroleum_custom_css .= "body ,body p {
    	font-family :'". petroleum_get_option('wd_body_font_familly', 'Open Sans')."';
    	font-weight :" . petroleum_get_option('wd_body_font_weight', '400').";
    }";
	}else {
		$petroleum_custom_css .= "body ,body p {
    	font-family: 'Open Sans', sans-serif;
    	font-weight :" . petroleum_get_option('wd_body_font_weight', '400').";
    }";
	}
	if((petroleum_get_option('wd_body-font-size','14')!='default') && (petroleum_get_option('wd_body-font-size','14')!= false) ){
		$petroleum_custom_css .= "body p {
    	font-size :". petroleum_get_option('wd_body-font-size','14')."px;
    }";
	}
	if((petroleum_get_option('wd_head_font_familly','14')!='default') && (petroleum_get_option('wd_head_font_familly','14')!= false) ){
		$petroleum_custom_css .= "h1, h2, h3, h4, h5, h6, .menu-list a {
    	font-family :'". petroleum_get_option('wd_head_font_familly','Raleway')."';
    	font-weight :" . petroleum_get_option('wd_heading-font-weight-style','400').";
    }";
	}else {
		$petroleum_custom_css .= "h1, h2, h3, h4, h5, h6, .menu-list a {
    	font-family: 'Open Sans', sans-serif;
    	font-weight :" . petroleum_get_option('wd_heading-font-weight-style','400').";
    }";
	}

	if( petroleum_get_option('wd_navigation_font_familly', 'Open Sans') != "default") {
		$petroleum_custom_css .= ".top-bar-section ul li > a {
				font-family : '" . petroleum_get_option( 'wd_navigation_font_familly', 'Open Sans' ) . "';
			}";
	}
	else {
		$petroleum_custom_css .= ".top-bar-section ul li > a {
				font-family: 'Open Sans', sans-serif;
			}";
	}
	if( petroleum_get_option('wd_navigation-font-weight-style', '400') != "") {
		$petroleum_custom_css .= ".top-bar-section ul li > a {
				font-weight : " . petroleum_get_option( 'wd_navigation-font-weight-style' ,'400') . ";
			}";
	}

	if( petroleum_get_option('wd_navigation-transform' ,'normal') != "") {
		$petroleum_custom_css .= ".top-bar-section ul li > a {
				text-transform : " . petroleum_get_option( 'wd_navigation-transform' ,'normal' ) . ";
			}";
	}
	if((petroleum_get_option('wd_navigation-font-size', '14')!='default') && (petroleum_get_option('wd_navigation-font-size', '14')!= false) ){
		$petroleum_custom_css .= ".top-bar-section ul li > a {
    	font-size :". petroleum_get_option('wd_navigation-font-size', '14')."px;
    }";
	}
	if( petroleum_get_option('wd_heading-transform', 'normal') != "") {
		$petroleum_custom_css .= "h1, h2, h3, h4, h5, h6, .menu-list a {
				text-transform : " . petroleum_get_option( 'wd_heading-transform', 'normal') . ";
			}";
	}
	if( petroleum_get_option('wd_text-transform', 'normal') != "") {
		$petroleum_custom_css .= "body ,body p {
				text-transform : " . petroleum_get_option( 'wd_text-transform', 'normal') . ";
			}";
	}


	//_______________ background Primary color___________________________
	$petroleum_custom_css .= "
					.primary-color,#filters li:hover,#filters li:first-child, #filters li:focus, #filters li:active,
					.wd-section-blog-services.style-3 .wd-blog-post h4:after,
					.box-icon img, .box-icon i,
					button:hover, button:focus, .button:hover, .button:focus,
					button, .button,
					.wd-latest-news .wd-image-date span strong,
					.wd-section-blog.style2 h4:after,
					.pricing-table.featured .title,
					.accordion .accordion-navigation > a, .accordion dd > a,
					.searchform #searchsubmit,.wd-pagination span,.blog-page .quote-format blockquote,
					.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
					.woocommerce-page .widget_price_filter .ui-slider .ui-slider-range,
					.products .product .button,
					.woocommerce #content input.button.alt, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt,
					.woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce-page #content input.button.alt,
					.woocommerce-page #respond input#submit.alt, .woocommerce-page a.button.alt,
					.woocommerce-page button.button.alt, .woocommerce-page input.button.alt,
					.woocommerce #content input.button:hover, .woocommerce #respond input#submit:hover, 
					.woocommerce a.button:hover, .woocommerce button.button:hover, 
					.woocommerce input.button:hover, .woocommerce-page #content input.button:hover, 
					.woocommerce-page #respond input#submit:hover, .woocommerce-page a.button:hover,
					.woocommerce-page button.button:hover, .woocommerce-page input.button:hover,
					.woocommerce span.onsale, .woocommerce-page span.onsale,
					.woocommerce-page button.button, .widget_product_search #searchsubmit, .widget_product_search #searchsubmit:hover,
					.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, *
					.custom-pagination a:hover, .custom-pagination span.current, .wd-title-section_l h2::after, .wd-title-section_c h2::after,
					.hvr-underline-from-center::before, .wd-latest-news .wd-title-element::after
					{
						background:".petroleum_get_option('wd_primary_color','#ffd200').";
					}
	";
	//_______________ svg stroke Primary color___________________________
	$petroleum_custom_css .= "
	.wd-section-blog-services.style-3 .wd-blog-post .shape {
		stroke: ".petroleum_get_option('wd_primary_color','#ffd200')."
	}
	";
	//_______________ text Primary color___________________________
	$petroleum_custom_css .= "
			
			.blog-page .read-more-link,
			#wp-calendar a,.wd-testimonail blockquote cite,
			.list-icon li:before, a:hover, a:focus, a
			{
				color:".petroleum_get_option('wd_primary_color','#ffd200').";
			}
	
	";
	//_______________ background secondary Primary color___________________________
	$petroleum_custom_css .= "
		.hvr-underline-from-center:before,
		.hvr-outline-in:before
			{
				border-color:".petroleum_get_option('wd_secondary_color','#ffd200').";
			}
	";
	//____________ top bar color ____________________
	$petroleum_custom_css .= "
	.positioned .top-bar-header {
	background-color :".petroleum_get_option('wd_petroleum_top_bar_bg_color','#ffd200').";
	}
	.positioned .top-bar-header .list-info-container li, .positioned .top-bar-header .list-info-container i {
	color :".petroleum_get_option('wd_petroleum_top_bar_text_color','#ffd200').";
	}
	
	.positioned .top-bar-container {
	background-color :".petroleum_get_option('wd_petroleum_nav_bar_bg_color','#ffd200').";
	}
	.header-creative-layout.positioned .contain-to-grid .top-bar .top-bar-section .menu > li > a {
	color :".petroleum_get_option('wd_petroleum_nav_bar_text_color','#ffd200').";
	}
	.header-creative-layout.positioned .contain-to-grid .top-bar .top-bar-section  ul li.has-dropdown > a::after {
	border-color : ".petroleum_get_option('wd_petroleum_nav_bar_text_color','#ffd200')." transparent transparent transparent;
	}
	
	";

	if(petroleum_get_option('wd_footer_bg', "") != "") {
	  $petroleum_custom_css .= "
      .wd-footer, .wd-copyright {
        background-image: url(" . petroleum_get_option( 'wd_footer_bg' ) . ");
      }";
  }
	//_______________ custom css ___________________________
	$petroleum_custom_css .= petroleum_get_option('wd_theme_custom_css','');

	wp_add_inline_style( 'custom-style', $petroleum_custom_css );
}
add_action( 'wp_enqueue_scripts', 'petroleum_load_js_css_file' );





// retrieves the attachment ID from the file URL
function petroleum_get_image_id($image_url) {
    global $wpdb;
    $image_url   = esc_sql( $image_url );
    $attachment = $wpdb->get_col($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE guid='%s';", $image_url ));
    if (isset($attachment[0])) {
    	return $attachment[0];
    }
}

// initialize options
if (!function_exists('petroleum_initialize_options')) {
	function petroleum_initialize_options() {
		if( !get_option( "wd_options_array" ) ) {
			$options_array = get_option("wd_options_array");
			$options_array = array(
						
						'wd_primary_color' => "#ffd200",
						'wd_secondary_color' => "",
						'wd_logo_path' => "",
						'wd_favicon_icon_path' => "",
						'wd_menu_style' => "",
						'wd_facebook' => "",
						'wd_twitter' => "",
						'wd_google_plus' => "",
						
						'wd_body_font_familly' => "",
						'wd_font-weight-style' => "",
						'wd_main-text-font-subsets' => "",
						'wd_head_font_familly' => "",
						'wd_heading-font-weight-style' => "",
						'wd_heading-text-font-subsets' => "",
						'wd_navigation_font_familly' => "",
						'wd_navigation-font-weight-style' => "",
						'wd_navigation-text-font-subsets' => "",
						
						
						"wd_theme_custom_css" => "",
						'wd_theme_custom_js' => "",
						
						'wd_footer_columns' => "",
						'wd_copyright' => "",
					);
			update_option("wd_options_array",$options_array);
		}
	}
}


// get options value
if (!function_exists('petroleum_get_option')) {
	function petroleum_get_option($petroleum_option_key , $petroleum_option_default_value = null) {
        petroleum_initialize_options();
        $options_array = get_option("wd_options_array");
        $petroleum_meta_value = "";
        if(function_exists("wd_custom_options")) {
            $options_array = wd_custom_options($options_array);
        }
        if (array_key_exists($petroleum_option_key, $options_array)) {
            if (isset($options_array[$petroleum_option_key]) && !empty($options_array[$petroleum_option_key])) {
                $petroleum_meta_value = esc_attr($options_array[$petroleum_option_key]);
            }
            if ($petroleum_meta_value == "") {
                $petroleum_meta_value = $petroleum_option_default_value;
            }
        }
        return $petroleum_meta_value;
    }
}

// get options value
if (!function_exists('petroleum_save_option')) {
	function petroleum_save_option($petroleum_option_key, $petroleum_option_value) {
		$options_array = get_option("wd_options_array");
		$options_array[$petroleum_option_key] = $petroleum_option_value;
		update_option("wd_options_array",$options_array);
	}
}


function petroleum_wpcf7_text_shortcode_handler( $tag ) {
	$tag = new WPCF7_Shortcode( $tag );
	if ( empty( $tag->name ) )
		return '';
	$validation_error = wpcf7_get_validation_error( $tag->name );
	$class = wpcf7_form_controls_class( $tag->type, 'wpcf7-text' );
	if ( in_array( $tag->basetype, array( 'email', 'url', 'tel' ) ) )
		$class .= ' wpcf7-validates-as-' . $tag->basetype;
	if ( $validation_error )
		$class .= ' wpcf7-not-valid';
	$atts = array();
	$atts['size'] = $tag->get_size_option( '40' );
	$atts['maxlength'] = $tag->get_maxlength_option();
	$atts['minlength'] = $tag->get_minlength_option();
	if ( $atts['maxlength'] && $atts['minlength'] && $atts['maxlength'] < $atts['minlength'] ) {
		unset( $atts['maxlength'], $atts['minlength'] );
	}
	$atts['class'] = $tag->get_class_option( $class );
	$atts['id'] = $tag->get_id_option();
	$atts['tabindex'] = $tag->get_option( 'tabindex', 'int', true );
	if ( $tag->has_option( 'readonly' ) )
		$atts['readonly'] = 'readonly';
	if ( $tag->is_required() )
		$atts['aria-required'] = 'true';
	$atts['aria-invalid'] = $validation_error ? 'true' : 'false';
	$value = (string) reset( $tag->values );
	if ( $tag->has_option( 'placeholder' ) || $tag->has_option( 'watermark' ) ) {
		$atts['placeholder'] = $value;
		$value = '';
	}
	$value = $tag->get_default_option( $value );
	$value = wpcf7_get_hangover( $tag->name, $value );
	$atts['value'] = $value;
	if ( wpcf7_support_html5() ) {
		$atts['type'] = $tag->basetype;
	} else {
		$atts['type'] = 'text';
	}
	$atts['name'] = $tag->name;
	$atts = wpcf7_format_atts( $atts );
	$html = sprintf(
		'<input %2$s />%3$s',
		sanitize_html_class( $tag->name ), $atts, $validation_error );
	return $html;
}


/*---------wooocomerce---------*/
//Reposition WooCommerce breadcrumb 
function petroleum_woocommerce_remove_breadcrumb(){
remove_action( 
    'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20);
}
add_action(
    'woocommerce_before_main_content', 'petroleum_woocommerce_remove_breadcrumb'
);

function petroleum_woocommerce_custom_breadcrumb(){
    woocommerce_breadcrumb();
}

add_action( 'woo_custom_breadcrumb', 'petroleum_woocommerce_custom_breadcrumb' );







// Ensure cart contents update when products are added to the cart via AJAX (place the following in functions.php)
add_filter( 'woocommerce_add_to_cart_fragments', 'petroleum_woocommerce_header_add_to_cart_fragment' );

function petroleum_woocommerce_header_add_to_cart_fragment( $fragments ) {
	ob_start();
	?>
	<a class="cart-contents" href="<?php echo WC()->cart->get_cart_url(); ?>" title="<?php esc_attr__( 'View your shopping cart','petroleum' ); ?>"><?php echo sprintf (_n( '%d item', '%d items', WC()->cart->cart_contents_count, 'petroleum' ), WC()->cart->cart_contents_count ); ?> - <?php echo WC()->cart->get_cart_total(); ?></a>
	<?php
	
	$fragments['a.cart-contents'] = ob_get_clean();
	
	return $fragments;
}




/*--------------------meta box multi image uploade-------------------*/
// add meta box
function petroleum_multiple_image () {
 add_meta_box('wd_meta_box_multiple_image', 'Multiple Image', 'petroleum_upload_image','portfolio');
}
add_action( 'add_meta_boxes', 'petroleum_multiple_image' );
function petroleum_upload_image() {
 global $post;?>
 
  <div class="add_portfolio_images">
  <h3><?php echo esc_html__('Portfolio Images (multiple upload)','petroleum') ?></h3>
  <div class="add_portfolio_images_inner">
  
  <button class="wd-gallery-upload button button-primary button-large"><?php echo esc_html__('Browse','petroleum') ?></button>
   <ul class="wd-gallery-images-holder clearfix">
     <?php
     $portfolio_image_gallery_val = get_post_meta( $post->ID, 'wd_portfolio-image-gallery', true );
     
     if($portfolio_image_gallery_val!='' ) $portfolio_image_gallery_array=explode(',',$portfolio_image_gallery_val);
         
     if(isset($portfolio_image_gallery_array) && count($portfolio_image_gallery_array)!=0):
     
      foreach($portfolio_image_gallery_array as $gimg_id):
     
       $gimage_wp = wp_get_attachment_image_src($gimg_id,'thumbnail', true);
       echo '<li class="wd-gallery-image-holder"><img src="'.esc_attr($gimage_wp[0]).'" alt="'.esc_attr__("portfolio image","petroleum").'"/></li>';
      
      endforeach;
      
     endif;
     ?>
   </ul>
  <input type="hidden" value="<?php echo esc_attr($portfolio_image_gallery_val); ?>" id="wd_portfolio-image-gallery" name="wd_portfolio-image-gallery">
  </div>
  </div>
 <?php
}
//save meta box
function petroleum_save_meta_box_image( $post_id ) {
	if ( isset( $_POST['wd_portfolio-image-gallery'] ) ) {
		update_post_meta( $post_id, 'wd_portfolio-image-gallery', $_POST['wd_portfolio-image-gallery'] );
	}
}
add_action('save_post', 'petroleum_save_meta_box_image' );
//ajax 
if (!function_exists('petroleum_gallery_upload_get_images')){
function petroleum_gallery_upload_get_images(){
 $ids=$_POST['ids'];
 $ids=explode(",",$ids);
 foreach($ids as $id):
  $image = wp_get_attachment_image_src($id,'thumbnail', true);
  echo '<li class="wd-gallery-image-holder"><img src="'.esc_url($image[0]).'" alt="'.esc_attr__("portfolio image","petroleum").'"/></li>';
 endforeach;
 exit;  
}
}
add_action( 'wp_ajax_petroleum_gallery_upload_get_images', 'petroleum_gallery_upload_get_images');



//____________footer script ___________
function petroleum_theme_custom_js() {


			if(get_option('wd_theme_custom_js','') !=''){

				echo '<script type="text/javascript">

					'.esc_js(get_option('wd_theme_custom_js')).'

				</script>';

			} 

		
}
add_action( 'wp_footer', 'petroleum_theme_custom_js' );